Patchwork D11297: pyoxidized: adapt output of test-install.t

login
register
mail settings
Submitter phabricator
Date Aug. 18, 2021, 1:24 p.m.
Message ID <differential-rev-PHID-DREV-w3drwt66dcjy65e2j6sk-req@mercurial-scm.org>
Download mbox | patch
Permalink /patch/49611/
State Superseded
Headers show

Comments

phabricator - Aug. 18, 2021, 1:24 p.m.
marmoute created this revision.
Herald added a reviewer: hg-reviewers.
Herald added a subscriber: mercurial-patches.

REVISION SUMMARY
  The python lib and template directories are in different location that requires
  a different patterns.

REPOSITORY
  rHG Mercurial

BRANCH
  stable

REVISION DETAIL
  https://phab.mercurial-scm.org/D11297

AFFECTED FILES
  tests/test-install.t

CHANGE DETAILS




To: marmoute, #hg-reviewers
Cc: mercurial-patches, mercurial-devel

Patch

diff --git a/tests/test-install.t b/tests/test-install.t
--- a/tests/test-install.t
+++ b/tests/test-install.t
@@ -5,7 +5,8 @@ 
   checking Python implementation (*) (glob)
   checking Python version (2.*) (glob) (no-py3 !)
   checking Python version (3.*) (glob) (py3 !)
-  checking Python lib (.*[Ll]ib.*)... (re)
+  checking Python lib (.*[Ll]ib.*)... (re) (no-pyoxidizer !)
+  checking Python lib (.*pyoxidizer.*)... (re) (pyoxidizer !)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
     SNI not supported by Python install; may have connectivity issues with some servers (?)
@@ -18,8 +19,10 @@ 
   checking available compression engines (*zlib*) (glob)
   checking available compression engines for wire protocol (*zlib*) (glob)
   checking "re2" regexp engine \((available|missing)\) (re)
-  checking templates (*mercurial?templates)... (glob)
-  checking default template (*mercurial?templates?map-cmdline.default) (glob)
+  checking templates (*mercurial?templates)... (glob) (no-pyoxidizer !)
+  checking templates (*app?templates)... (glob) (pyoxidizer !)
+  checking default template (*mercurial?templates?map-cmdline.default) (glob) (no-pyoxidizer !)
+  checking default template (*app?templates?map-cmdline.default) (glob) (pyoxidizer !)
   checking commit editor... (*) (glob)
   checking username (test)
   no problems detected
@@ -31,7 +34,8 @@ 
     "compengines": ["bz2", "bz2truncated", "none", "zlib"*], (glob)
     "compenginesavail": ["bz2", "bz2truncated", "none", "zlib"*], (glob)
     "compenginesserver": [*"zlib"*], (glob)
-    "defaulttemplate": "*mercurial?templates?map-cmdline.default", (glob)
+    "defaulttemplate": "*mercurial?templates?map-cmdline.default", (glob) (no-pyoxidizer !)
+    "defaulttemplate": "*app?templates?map-cmdline.default", (glob) (pyoxidizer !)
     "defaulttemplateerror": null,
     "defaulttemplatenotfound": "default",
     "editor": "*", (glob)
@@ -50,7 +54,8 @@ 
     "pythonsecurity": [*], (glob)
     "pythonver": "*.*.*", (glob)
     "re2": (true|false), (re)
-    "templatedirs": "*mercurial?templates", (glob)
+    "templatedirs": "*mercurial?templates", (glob) (no-pyoxidizer !)
+    "templatedirs": "*app?templates", (glob) (pyoxidizer !)
     "username": "test",
     "usernameerror": null,
     "vinotfound": false
@@ -64,7 +69,8 @@ 
   checking Python implementation (*) (glob)
   checking Python version (2.*) (glob) (no-py3 !)
   checking Python version (3.*) (glob) (py3 !)
-  checking Python lib (.*[Ll]ib.*)... (re)
+  checking Python lib (.*[Ll]ib.*)... (re) (no-pyoxidizer !)
+  checking Python lib (.*pyoxidizer.*)... (re) (pyoxidizer !)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
     SNI not supported by Python install; may have connectivity issues with some servers (?)
@@ -77,8 +83,10 @@ 
   checking available compression engines (*zlib*) (glob)
   checking available compression engines for wire protocol (*zlib*) (glob)
   checking "re2" regexp engine \((available|missing)\) (re)
-  checking templates (*mercurial?templates)... (glob)
-  checking default template (*mercurial?templates?map-cmdline.default) (glob)
+  checking templates (*mercurial?templates)... (glob) (no-pyoxidizer !)
+  checking templates (*app?templates)... (glob) (pyoxidizer !)
+  checking default template (*mercurial?templates?map-cmdline.default) (glob) (no-pyoxidizer !)
+  checking default template (*app?templates?map-cmdline.default) (glob) (pyoxidizer !)
   checking commit editor... (*) (glob)
   checking username...
    no username supplied
@@ -111,7 +119,8 @@ 
   checking Python implementation (*) (glob)
   checking Python version (2.*) (glob) (no-py3 !)
   checking Python version (3.*) (glob) (py3 !)
-  checking Python lib (.*[Ll]ib.*)... (re)
+  checking Python lib (.*[Ll]ib.*)... (re) (no-pyoxidizer !)
+  checking Python lib (.*pyoxidizer.*)... (re) (pyoxidizer !)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
     SNI not supported by Python install; may have connectivity issues with some servers (?)
@@ -124,8 +133,10 @@ 
   checking available compression engines (*zlib*) (glob)
   checking available compression engines for wire protocol (*zlib*) (glob)
   checking "re2" regexp engine \((available|missing)\) (re)
-  checking templates (*mercurial?templates)... (glob)
-  checking default template (*mercurial?templates?map-cmdline.default) (glob)
+  checking templates (*mercurial?templates)... (glob) (no-pyoxidizer !)
+  checking templates (*app?templates)... (glob) (pyoxidizer !)
+  checking default template (*mercurial?templates?map-cmdline.default) (glob) (no-pyoxidizer !)
+  checking default template (*app?templates?map-cmdline.default) (glob) (pyoxidizer !)
   checking commit editor... ($TESTTMP/tools/testeditor.exe)
   checking username (test)
   no problems detected
@@ -138,7 +149,8 @@ 
   checking Python implementation (*) (glob)
   checking Python version (2.*) (glob) (no-py3 !)
   checking Python version (3.*) (glob) (py3 !)
-  checking Python lib (.*[Ll]ib.*)... (re)
+  checking Python lib (.*[Ll]ib.*)... (re) (no-pyoxidizer !)
+  checking Python lib (.*pyoxidizer.*)... (re) (pyoxidizer !)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
     SNI not supported by Python install; may have connectivity issues with some servers (?)
@@ -151,8 +163,10 @@ 
   checking available compression engines (*zlib*) (glob)
   checking available compression engines for wire protocol (*zlib*) (glob)
   checking "re2" regexp engine \((available|missing)\) (re)
-  checking templates (*mercurial?templates)... (glob)
-  checking default template (*mercurial?templates?map-cmdline.default) (glob)
+  checking templates (*mercurial?templates)... (glob) (no-pyoxidizer !)
+  checking templates (*app?templates)... (glob) (pyoxidizer !)
+  checking default template (*mercurial?templates?map-cmdline.default) (glob) (no-pyoxidizer !)
+  checking default template (*app?templates?map-cmdline.default) (glob) (pyoxidizer !)
   checking commit editor... (c:\foo\bar\baz.exe) (windows !)
    Can't find editor 'c:\foo\bar\baz.exe' in PATH (windows !)
   checking commit editor... (c:foobarbaz.exe) (no-windows !)